Security Update – New Digital Certificate for UPS Shippers and Compliance Requirements for SendSuite Xpress or Ascent

Products affected: SendSuite® Xpress, Ascent™

The current Verisign certificate will expire September 13, 2018. In order to maintain secure communications between your shipping software and UPS, and due to mandates by the UPS digital certificate vendor, UPS will begin utilizing Comodo as its digital certificate for all customers.

UPS is requiring clients using UPS Link version less than 19.16 (19.0.16.1) to update to the latest digital certificates. The update must take place prior to September 13, 2018 to ensure no interruption or failure of service.

If you do not update your SendSuite® Xpress or Ascent™ software, your older system will stop transmitting package level detail (PLD) to UPS on September 13th 2018.

This will impact the following:

  • Service impacts for shipping, returns and other contact services
  • Inaccurate billing due to lack of PLD
  • Incomplete or delayed tracking to visibility products, such as Quantum View and UPS My Choice® which could adversely impact your customer service

SendSuite Xpress version 2.80 and above or Ascent version 9.80 and above: No further action is required.

SendSuite Xpress below version 2.80 or Ascent below version 9.80: A product update is required. Please update your SendSuite Xpress or Ascent software to the latest version via IntelliLink Desktop. For assistance, see How to install and use IntelliLink Desktop for SendSuite Xpress and Ascent. The latest versions available are:

  • SendSuite Xpress 3.10
  • Ascent 10.10
UPDATED:  November 6, 2018